import { Events, Listener } from './types/common';
/**
 * Creates an EventEmitter.
 *
 * This is a super slimmed down version of nodes EventEmitter.
 *
 * This is only intended for internal use, as there is
 * no real error checking.
 */
declare class EventEmitter {
    events: Events;
    constructor();
    /**
     * Registers a listener to an event array.
     *
     * @param event The event to attach to.
     * @param listener The event listener.
     */
    on(event: string, listener: Listener): void;
    /**
     * Emits an event, calling all listeners store
     * against the provided event.
     *
     * @param event The event to emit.
     * @param args The functions to run against the event.
     */
    emit(event: string, ...args: any[]): void;
    /**
     * Removes all listeners.
     */
    removeAllListeners(): void;
}
export default EventEmitter;
