import { OptionalOptions, Options } from './types/common';
/**
 * Builds an options object from default and custom options.
 *
 * @param {Object} [newOptions] - Optional custom options.
 * @param {Object} [oldOptions] - Optional previous options.
 *
 * @throws If any option is invalid.
 *
 * @return {Object} Compiled options from default and custom.
 */
declare function buildOptions(newOptions?: OptionalOptions, oldOptions?: Options): Options;
export default buildOptions;
