import { Store } from './types/common';
import { ITimr } from './types/ITimr';
/**
 * Creates a store that can hold multiple Timr objects
 * and perform functions on all of them.
 *
 * @param {Array} [args] - Optional timers to start the store with.
 *
 * @throws If the provided Timr is not a Timr object.
 * @throws If the provided Timr is already in a store.
 *
 * @return {Object} Returns a store object with methods.
 */
declare function createStore(...args: ITimr[]): Store;
export default createStore;
