/**
 * Converts time format (HH:MM:SS) into seconds.
 *
 * Automatically rounds the returned number to avoid errors
 * with floating point values.
 *
 * If a pattern is provided (25h / 25m / 25d), than
 * it is converted before being validated and processed.
 *
 * @param time The time to be converted.
 *
 * @throws If the provided time is not a string.
 * @throws If the provided time is not in the correct format HH:MM:SS.
 *
 * @return The time in seconds.
 */
declare function timeToSeconds(time: string): number;
/**
 * Converts time format (HH:MM:SS) into seconds.
 *
 * @param time The time to be converted
 *
 * @throws If the provided time is a negative number.
 *
 * @return The provided number, rounded.
 */
declare function timeToSeconds(time: number): number;
/**
 * Converts time format (HH:MM:SS) into seconds.
 *
 * Automatically rounds the returned number to avoid errors
 * with floating point values.
 *
 * If a pattern is provided (25h / 25m / 25d), than
 * it is converted before being validated and processed.
 *
 * @param time The time to be converted.
 * If a number is provided it will simply return that number.
 *
 * @throws If the provided time is neither a number nor a string.
 * @throws If the provided time is a negative number.
 * @throws If the provided time is not in the correct format HH:MM:SS.
 *
 * @return The time in seconds.
 */
declare function timeToSeconds(time: string | number): number;
export default timeToSeconds;
